API ReferenceMachine Status
Get Machines Metrics
Get list of machines and sort them by metrics
TODO: this endpoint is called for the realtime page to sort and filter machines based on metrics. To calculate the result, all the metrics are calculated and then sorted. This is not ideal, as the metrics are also calculated for the realtime endpoint. Could we move sorting to the front-end? It has all the data and could be done more efficiently.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
sortBy*string
The field to sort results by.
type*string
Filter by type.
machineId*array<>
The machine's ID.
start?string
The start of the date range to filter by.
Format
date-timeend?string
The end of the date range to filter by.
Format
date-timeshift?string
Filter by shift.
Response Body
application/json
Try it live
curl -X GET "https://example.com/machines/list?sortBy=string&type=string&machineId=0.1"{ "sortedMachines": [ { "sortingValue": 0, "id": 0.1 } ], "machinesIds": [ 0.1 ]}